#!/bin/zsh

_tmp_config_alias='git --git-dir=${HOME}/.dotfiles/ --work-tree=${HOME}'
if [[ -f ~/.ssh/noid_dotfiles ]]; then
    export GIT_SSH_COMMAND="ssh -i ~/.ssh/noid_dotfiles"
    _tmp_config_alias="GIT_SSH_COMMAND=\"ssh -i ~/.ssh/noid_dotfiles\" ${_tmp_config_alias}"
fi
alias config="${_tmp_config_alias}"

git clone --bare git@schlomp.space:tastytea/dotfiles.git "${HOME}/.dotfiles" && \
    config submodule init && \
    config submodule update && \
    config config --local status.showUntrackedFiles no && \
    config config --local submodule.recurse true && \
    echo -e "Run \033[1;32mrm ${0} && ${_tmp_config_alias} checkout\033[0m to copy the files to your home directory."
unset tmp_alias_config

# TODO: [remote "origin"] needs to have
#       fetch = +refs/heads/*:refs/remotes/origin/* in order for
#       submodule.recurse to work, but why?
